QGIS Application - Feature request #1656
mapserver export plugin & raster classification
2009-04-27 02:02 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Richard Duivenvoorde

Category: Python plugins

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 11716
Description

| noticed that the plugin doesn't export the raster classification definitions. As the mapserver mapfile supports it

http://mapserver.org/input/raster.html#table-of-contents

it would be nice to have it implemented.

History

#1 - 2009-11-29 02:36 PM - Richard Duivenvoorde

@Lutra, can you elaborate a little more on your request?

At this moment I'm able to open a tiff in qgis, and export it to a LAYER of TYPE RASTER

I'm sure there are still some inconsistencies in place, but please add to ticket more information about wishes etc

#2 - 2009-11-30 02:29 PM - Giovanni Manghi

Replying to [comment:5 rduivenvoorde]:

@Lutra, can you elaborate a little more on your request?

Hi,
as in qgis we can change symbology to a raster, using the available colormaps (also with GRASS) or using a custom colormap, and as mapserver support

raster classification (see above link), it would be nice to have the mapserver export plugin be able to "translate" the qgis colormap into a mapfile raster
classification.

#3 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-15 10:11 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:34 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2013-08-18 11:00 AM - Giovanni Manghi

2025-05-17 12



http://mapserver.org/input/raster.html#table-of-contents

- Pull Request or Patch supplied set to No
- Status changed from Open to Closed
- Resolution set to wontfix

the plugin was removed from qgis.
